path: /build/build/perl-ExtUtils-CBuilder-virtual-0.280.234.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/perl-ExtUtils-CBuilder -pv -t
  - |
    emerge -j ${JOBS} --nodeps virtual/perl-ExtUtils-CBuilder
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/perl-ExtUtils-CBuilder && luet-portage
    --dir /pkgdir/perl-ExtUtils-CBuilder virtual/perl-ExtUtils-CBuilder
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d69994988fd0489f329efb5aeeee52cbcca78d5be09524ed6214d3dc00a666dd
  package:
    name: perl-ExtUtils-CBuilder
    version: 0.280.234
    category: virtual
    requires:
    - name: perl-Data-Dumper
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for ExtUtils-CBuilder
    uri:
    - ""
    buildtimestamp: 2023-08-14 07:58:32.587090172 +0000 UTC m=+68.686633442
    labels:
      RDEPEND: '|| ( =dev-lang/perl-5.32* ~perl-core/ExtUtils-CBuilder-0.280.234 )
        dev-lang/perl:= !<perl-core/ExtUtils-CBuilder-0.280.234 !>perl-core/ExtUtils-CBuilder-0.280.234-r999'
      emerge.packages: virtual/perl-ExtUtils-CBuilder
      kit: perl-kit
      original.package.name: virtual/perl-ExtUtils-CBuilder
      original.package.slot: "0"
      original.package.version: 0.280.234
    treedir: /build/packages
  package_dir: /pkgdir/perl-ExtUtils-CBuilder
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b872fb40321fa34d9c7283759f4cb438683b82eade6d3a37e0133f5d24780858
compressiontype: zstd
files:
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/BUILD_TIME
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/CATEGORY
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/CBUILD
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/CFLAGS
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/CHOST
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/COUNTER
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/CXXFLAGS
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/DEFINED_PHASES
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/DESCRIPTION
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/EAPI
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/FEATURES
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/IUSE
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/IUSE_EFFECTIVE
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/KEYWORDS
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/LDFLAGS
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/LICENSE
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/PF
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/RDEPEND
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/SIZE
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/SLOT
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/USE
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/environment.bz2
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/perl-ExtUtils-CBuilder-0.280.234.ebuild
- var/db/pkg/virtual/perl-ExtUtils-CBuilder-0.280.234/repository
package_cacheimage: ""
runtime:
  name: perl-ExtUtils-CBuilder
  version: 0.280.234
  category: virtual
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for ExtUtils-CBuilder
  uri:
  - ""
  labels:
    RDEPEND: '|| ( =dev-lang/perl-5.32* ~perl-core/ExtUtils-CBuilder-0.280.234 ) dev-lang/perl:=
      !<perl-core/ExtUtils-CBuilder-0.280.234 !>perl-core/ExtUtils-CBuilder-0.280.234-r999'
    emerge.packages: virtual/perl-ExtUtils-CBuilder
    kit: perl-kit
    original.package.name: virtual/perl-ExtUtils-CBuilder
    original.package.slot: "0"
    original.package.version: 0.280.234
